
From: Manfred Spraul <manfred@colorfullife.com>

Patrick noticed that the initial scan of the semaphore operations logs
decrease and increase operations seperately, but then both cases are or'ed
together and decrease is never used.  The attached patch removes the
decrease parameter - it shrinks sys_semtimedop() by 56 bytes.

Signed-Of-By: Manfred Spraul <manfred@colorfullife.com>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 ipc/sem.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

diff -puN ipc/sem.c~ipcsem-remove-superflous-decrease-variable-from-sys_semtimedop ipc/sem.c
--- 25/ipc/sem.c~ipcsem-remove-superflous-decrease-variable-from-sys_semtimedop	Mon May 23 17:06:29 2005
+++ 25-akpm/ipc/sem.c	Mon May 23 17:06:29 2005
@@ -1054,7 +1054,7 @@ asmlinkage long sys_semtimedop(int semid
 	struct sembuf fast_sops[SEMOPM_FAST];
 	struct sembuf* sops = fast_sops, *sop;
 	struct sem_undo *un;
-	int undos = 0, decrease = 0, alter = 0, max;
+	int undos = 0, alter = 0, max;
 	struct sem_queue queue;
 	unsigned long jiffies_left = 0;
 
@@ -1089,13 +1089,10 @@ asmlinkage long sys_semtimedop(int semid
 		if (sop->sem_num >= max)
 			max = sop->sem_num;
 		if (sop->sem_flg & SEM_UNDO)
-			undos++;
-		if (sop->sem_op < 0)
-			decrease = 1;
-		if (sop->sem_op > 0)
+			undos = 1;
+		if (sop->sem_op != 0)
 			alter = 1;
 	}
-	alter |= decrease;
 
 retry_undos:
 	if (undos) {
_
